function E0090()
    MNA()CMU("CS_Vivi")FAI(0)
end
function E0091()
    MNA()CMU("CS_Vivi")FAI(1)
end
function E0092()
    MNA()CMU("CS_Vivi")FAI(2)
end
function E0093()
    MNA()CMU("CS_Vivi")FAI(3)
end
function E0094()
    MNA()CMU("CS_Vivi")FAI(4)
end

function GoGaudiBlackmaket2()
    PRI()FAO(2)TRA("CS_gaudi_blackmaket2","E0090",143,16)
end

function Door_GoGaudiBlackmaketMrG()
    if(FLJ("GetLiftKey")) then
        PRI()MM0()SOU("CS_011_door")ANP("Door_GoGaudiBlackmaketMrG",0,1)FAO(1)TRA("CS_gaudi_blackmaket_mrg","E0093",3,14)
    else
        PRI()MM0()SOU("CS_011_door")ANP("Door_GoGaudiBlackmaketMrG",0,1)FAO(1)TRA("CS_gaudi_blackmaket_mrg","MrG",3,14)
    end
end

function LargeDoorOpen1()
    FLS("TerminalDown")
    FLP("InLift")
    PRI()FAO(2)TRA("CS_fortress_lift","E0090",19,6)
end

function LargeDoorClose1()
    if(FLJ("GetLiftKey")) then
        if(FLJ("UnlockLift") == false) then
            KEY()
            SOU("CS_022_chest_open")
            GIT("LiftKey")
            MS4("\n使用了 =电梯钥匙= 。")NOD()CLO()
            FLP("UnlockLift")
            GIT()
            CLO()
            ANP("LargeDoorClose1","opening")
            WAI(90)
            FLS("TerminalDown")
            FLP("InLift")
            PRI()FAO(2)TRA("CS_fortress_lift","E0090",19,6)
        end
    else
        PRI()
        FAC("curly_normal")MS4("这扇门被锁住了，")NOD()
        CAT("\n去附近找找打开它的办法吧。")NOD()
    end
end